Global("View", { })

View.widget = mainForm

View.TimerTemplate = { }
View.TimerTemplate.widget = View.widget:GetChildChecked("TimerTemplate", false)
View.TimerTemplate.Values = { }
View.TimerTemplate.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.TimerTemplate.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.TimerTemplate.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.TimerTemplate.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.TimerTemplate.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.TimerTemplate.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.TimerTemplate.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.TimerTemplate.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.SearchWindow = { }
View.SearchWindow.widget = View.widget:GetChildChecked("SearchWindow", false)
View.SearchWindow.DNDID = 90
View.SearchWindow.isVisible = true
View.SearchWindow.initDnD = function(self, wtReacting, fUseCfg, fLockedToScreenArea, Padding )
  if not wtReacting then
    wtReacting = self.widget
  end
  if not true then -- is DragAndDrop disabled?
    LogWarning("On the Window SearchWindow was called the initDnD-Function, but DnD is disabled.")
  else
    DnD:Init(self.DNDID, wtReacting, self.widget, fUseCfg, fLockedToScreenArea, Padding)
  end
end
View.SearchWindow.show = function(self, visible)
  if(self.isVisible~=visible) then
    self.isVisible=visible
    if not true then -- is DragAndDrop disabled?
      if not visible then
        DnD:Unreg(self)
      else
        DnD:Reg(self)
      end
    end
    if not visible then
      local onClose = self.onClose
      if onClose then
        onClose({ sender = self })
      end
    end
  end
  self.widget:Show(visible)
end
View.SearchWindow.showCloseButton = function(self, visible)
  self.closeButtonWidget:Show(visible)
  self.goldenCornerWidget:Show(visible)
end
View.SearchWindow.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.SearchWindow.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.SearchWindow.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.SearchWindow.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.SearchWindow.titleWidget = View.SearchWindow.widget:GetChildChecked("Header", false)
View.SearchWindow.textWidget = View.SearchWindow.titleWidget:GetChildChecked("Headertext", false)
View.SearchWindow.backgroundWidget = View.SearchWindow.widget:GetChildChecked("Background", false)
View.SearchWindow.closeButtonWidget = View.SearchWindow.widget:GetChildChecked("Close", false)
View.SearchWindow.goldenCornerWidget = View.SearchWindow.widget:GetChildChecked("GoldenCorner", false)
View.SearchWindow.contentWidget = View.SearchWindow.widget:GetChildChecked("Content", false)
View.SearchWindow.text = ""
View.SearchWindow.setTitleText = function(self, text)
  self.text=text
  self.textWidget:SetVal("label", text)
end
View.SearchWindow.getTitleText = function(self)
  return self.text
end
View.SearchWindow.getBackgroundFade = function(self)
  return self.backgroundWidget:GetFade()
end
View.SearchWindow.setBackgroundFade = function(self, fade)
  return self.backgroundWidget:SetFade(fade)
end
View.SearchWindow.getContentFade = function(self)
  return self.contentWidget:GetFade()
end
View.SearchWindow.setContentFade = function(self, fade)
  return self.contentWidget:SetFade(fade)
end

View.SearchWindow.Grid = { }
View.SearchWindow.Grid.widget = View.SearchWindow.widget:GetChildChecked("Content", false):GetChildChecked("Grid", false)

View.SearchWindow.Grid.searchLabel_text = { }
View.SearchWindow.Grid.searchLabel_text.widget = View.SearchWindow.Grid.widget:GetChildChecked("searchLabel_text", false)
View.SearchWindow.Grid.searchLabel_text.Values = { }
View.SearchWindow.Grid.searchLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.searchLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.SearchWindow.Grid.searchLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.searchLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.SearchWindow.Grid.searchLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.searchLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.SearchWindow.Grid.searchLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.searchLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.SearchWindow.Grid.searchLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.SearchWindow.Grid.searchLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.SearchWindow.Grid.searchLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.SearchWindow.Grid.searchLabel_text:setMargin(4, 4, 0, 0)
View.SearchWindow.Grid.searchLabel_text:setSize(100, 25)
View.SearchWindow.Grid.searchLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.SearchWindow.Grid.SearchName = { }
View.SearchWindow.Grid.SearchName.widget = View.SearchWindow.Grid.widget:GetChildChecked("SearchName", false)
View.SearchWindow.Grid.SearchName.reactionChanged = ""
View.SearchWindow.Grid.SearchName.reactionEnter = "searchNameEnter"
View.SearchWindow.Grid.SearchName.reactionESC = "searchNameESC"
View.SearchWindow.Grid.SearchName.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.SearchName.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.SearchWindow.Grid.SearchName.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.SearchName.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.SearchWindow.Grid.SearchName.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.SearchName.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.SearchWindow.Grid.SearchName.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.SearchName.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.SearchWindow.Grid.SearchName.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.SearchWindow.Grid.SearchName.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.SearchWindow.Grid.SearchName.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.SearchWindow.Grid.SearchName.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.SearchWindow.Grid.SearchName.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.SearchWindow.Grid.SearchName.getText = function(self)
  return self.widget:GetText()
end
View.SearchWindow.Grid.SearchName.setText = function(self, text)
  self.widget:SetText(text)
end
View.SearchWindow.Grid.SearchName.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.SearchWindow.Grid.SearchName.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "searchNameESC")
View.SearchWindow.Grid.SearchName:setMargin(100, 0, 0, 0)
View.SearchWindow.Grid.SearchName:setSize(450, 25)
View.SearchWindow.Grid.SearchName:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.SearchWindow.Grid.SearchButton = { }
View.SearchWindow.Grid.SearchButton.widget = View.SearchWindow.Grid.widget:GetChildChecked("SearchButton", false)
View.SearchWindow.Grid.SearchButton.Values = { }
View.SearchWindow.Grid.SearchButton.reactionName = "searchButtonClicked"
View.SearchWindow.Grid.SearchButton.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.SearchButton.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.SearchWindow.Grid.SearchButton.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.SearchButton.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.SearchWindow.Grid.SearchButton.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.SearchButton.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.SearchWindow.Grid.SearchButton.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.SearchWindow.Grid.SearchButton.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.SearchWindow.Grid.SearchButton.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.SearchWindow.Grid.SearchButton.getVal = function(self, tag)
  return self.Values[tag]
end
View.SearchWindow.Grid.SearchButton:setMargin(550, 0, 0, 0)
View.SearchWindow.Grid.SearchButton:setSize(75, 25)
View.SearchWindow.Grid.SearchButton:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.SearchWindow.Grid.SearchResult = { }
View.SearchWindow.Grid.SearchResult.widget = View.SearchWindow.Grid.widget:GetChildChecked("SearchResult", false)
for k, v in View.SearchWindow.Grid.SearchResult do
  if v then
    if v.widget then
      View.SearchWindow.Grid.SearchResult.widget:PushBack(v.widget)
    end
  end
end
View.SearchResultTemplate = { }
View.SearchResultTemplate.widget = View.widget:GetChildChecked("SearchResultTemplate", false)

View.SearchResultTemplate.Image = { }
View.SearchResultTemplate.Image.widget = View.SearchResultTemplate.widget:GetChildChecked("Image", false)
View.SearchResultTemplate.Image.Values = { }
View.SearchResultTemplate.Image.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.SearchResultTemplate.Image.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.SearchResultTemplate.Image.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.SearchResultTemplate.Image.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.SearchResultTemplate.Image.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.SearchResultTemplate.Image.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.SearchResultTemplate.Image.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.SearchResultTemplate.Image.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.SearchResultTemplate.Button = { }
View.SearchResultTemplate.Button.widget = View.SearchResultTemplate.widget:GetChildChecked("Button", false)
View.SearchResultTemplate.Button.Values = { }
View.SearchResultTemplate.Button.reactionName = "searchResultItemClicked"
View.SearchResultTemplate.Button.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.SearchResultTemplate.Button.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.SearchResultTemplate.Button.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.SearchResultTemplate.Button.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.SearchResultTemplate.Button.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.SearchResultTemplate.Button.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.SearchResultTemplate.Button.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.SearchResultTemplate.Button.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.SearchResultTemplate.Button.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.SearchResultTemplate.Button.getVal = function(self, tag)
  return self.Values[tag]
end
View.SearchResultTemplate.Button:setMargin(35, 0, 0, 0)
View.SearchResultTemplate.Button:setSize(590, 35)
View.SearchResultTemplate.Button:setAlignment(WIDGET_ALIGN_BOTH, WIDGET_ALIGN_BOTH)
View.AuraPanel = { }
View.AuraPanel.widget = View.widget:GetChildChecked("AuraPanel", false)
View.AuraPanel.Values = { }
View.AuraPanel.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.AuraPanel.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.AuraPanel.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.AuraPanel.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.AuraPanel.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.AuraPanel.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.AuraPanel.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.AuraPanel.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.openConfig = { }
View.openConfig.widget = View.widget:GetChildChecked("openConfig", false)
View.openConfig.Values = { }
View.openConfig.reactionName = "openConfig"
View.openConfig.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.openConfig.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.openConfig.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.openConfig.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.openConfig.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.openConfig.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.openConfig.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.openConfig.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.openConfig.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.openConfig.getVal = function(self, tag)
  return self.Values[tag]
end
View.openConfig:setMargin(400, 0, 0, 0)
View.openConfig:setSize(65, 25)
View.openConfig:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.SettingsPreview = { }
View.SettingsPreview.widget = View.widget:GetChildChecked("SettingsPreview", false)
View.SettingsPreview.Values = { }
View.SettingsPreview.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.SettingsPreview.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.SettingsPreview.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.SettingsPreview.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.SettingsPreview.ProgressBar = { }
View.SettingsPreview.ProgressBar.widget = View.SettingsPreview.widget:GetChildChecked("ProgressBar", false)
View.SettingsPreview.ProgressBar.backgroundWidget = View.SettingsPreview.ProgressBar.widget:GetChildChecked("Background", false)
View.SettingsPreview.ProgressBar.foregroundWidget = View.SettingsPreview.ProgressBar.widget:GetChildChecked("Foreground", false)
View.SettingsPreview.ProgressBar.Values = { }
View.SettingsPreview.ProgressBar.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.ProgressBar.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.SettingsPreview.ProgressBar.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.ProgressBar.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.SettingsPreview.ProgressBar.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.ProgressBar.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.SettingsPreview.ProgressBar.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.ProgressBar.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.SettingsPreview.ProgressBar.setMinimum = function(self, value)
  self.Values.minimum = value
end
View.SettingsPreview.ProgressBar.getMinimum = function(self)
  return self.Values.minimum
end
View.SettingsPreview.ProgressBar.setMaximum = function(self, value)
  self.Values.maximum = value
end
View.SettingsPreview.ProgressBar.getMaximum = function(self)
  return self.Values.maximum
end
View.SettingsPreview.ProgressBar.setValue = function(self, value)
  self.Values.value = value
end
View.SettingsPreview.ProgressBar.getValue = function(self)
  return self.Values.value
end
View.SettingsPreview.ProgressBar.Update = function(self)
  local minimum, maximum, value = self:getMinimum(), self:getMaximum(), self:getValue()
  local realRect = self.widget:GetRealRect()
  local origPlacement = self.backgroundWidget:GetPlacementPlain ()
  local placement = CopyTable(origPlacement)
  placement.alignX = WIDGET_ALIGN_LOW_ABS
  local percent = (value - minimum) / (maximum - minimum)
  placement.sizeX = (realRect.x2 - realRect.x1) * percent
  self.backgroundWidget:PlayResizeEffect(origPlacement, placement, 150, EA_MONOTONOUS_INCREASE)
  if self.onProgressChanged then self:onProgressChanged(percent) end
end
-- set a function(sender, percent) to onProgressChanged
View.SettingsPreview.ProgressBar.onProgressChanged = nil
View.SettingsPreview.ProgressBar.Copy = function(self, widget)
  local result = 
    {
      widget = widget,
      backgroundWidget = widget:GetChildChecked("Background", false),
      foregroundWidget = widget:GetChildChecked("Foreground", false),
      Values = { minimum = self.Values.minimum, maximum = self.Values.maximum, value = self.Values.value },
      setPosition = self.setPosition,
      getPosition = self.getPosition,
      setMargin = self.setMargin,
      getMargin = self.getMargin,
      getSize = self.getSize,
      setSize = self.setSize,
      setAlignment = self.setAlignment,
      getAlignment = self.getAlignment,
      setMinimum = self.setMinimum,
      getMinimum = self.getMinimum,
      setMaximum = self.setMaximum,
      getMaximum = self.getMaximum,
      setValue = self.setValue,
      getValue = self.getValue,
      Update = self.Update,
      Copy = self.Copy,
      onProgressChanged = self.onProgressChanged
    }
  result:Update()
  return result
end
View.SettingsPreview.ProgressBar:setMinimum(0)
View.SettingsPreview.ProgressBar:setMaximum(100)
View.SettingsPreview.ProgressBar:setValue(40)
View.SettingsPreview.ProgressBar:Update()
View.SettingsPreview.Cooldown = { }
View.SettingsPreview.Cooldown.widget = View.SettingsPreview.widget:GetChildChecked("Cooldown", false)
View.SettingsPreview.Cooldown.Values = { }
View.SettingsPreview.Cooldown.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Cooldown.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.SettingsPreview.Cooldown.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Cooldown.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.SettingsPreview.Cooldown.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Cooldown.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.SettingsPreview.Cooldown.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Cooldown.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.SettingsPreview.Cooldown.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.SettingsPreview.Cooldown.getVal = function(self, tag)
  return self.Values[tag]
end
View.SettingsPreview.Cooldown.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.SettingsPreview.Cooldown:setMargin(-30, -2, -50, 0)
View.SettingsPreview.Cooldown:setSize(130, 20)
View.SettingsPreview.Cooldown:setAlignment(WIDGET_ALIGN_BOTH, WIDGET_ALIGN_LOW)
View.SettingsPreview.Stacksize = { }
View.SettingsPreview.Stacksize.widget = View.SettingsPreview.widget:GetChildChecked("Stacksize", false)
View.SettingsPreview.Stacksize.Values = { }
View.SettingsPreview.Stacksize.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Stacksize.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.SettingsPreview.Stacksize.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Stacksize.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.SettingsPreview.Stacksize.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Stacksize.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.SettingsPreview.Stacksize.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Stacksize.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.SettingsPreview.Stacksize.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.SettingsPreview.Stacksize.getVal = function(self, tag)
  return self.Values[tag]
end
View.SettingsPreview.Stacksize.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.SettingsPreview.Stacksize:setMargin(0, 0, 10, 10)
View.SettingsPreview.Stacksize:setSize(120, 40)
View.SettingsPreview.Stacksize:setAlignment(WIDGET_ALIGN_BOTH, WIDGET_ALIGN_HIGH)
View.SettingsPreview.Image = { }
View.SettingsPreview.Image.widget = View.SettingsPreview.widget:GetChildChecked("Image", false)
View.SettingsPreview.Image.Values = { }
View.SettingsPreview.Image.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Image.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.SettingsPreview.Image.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Image.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.SettingsPreview.Image.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Image.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.SettingsPreview.Image.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.SettingsPreview.Image.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings = { }
View.Settings.widget = View.widget:GetChildChecked("Settings", false)
View.Settings.DNDID = 91
View.Settings.isVisible = true
View.Settings.initDnD = function(self, wtReacting, fUseCfg, fLockedToScreenArea, Padding )
  if not wtReacting then
    wtReacting = self.widget
  end
  if not true then -- is DragAndDrop disabled?
    LogWarning("On the Window Settings was called the initDnD-Function, but DnD is disabled.")
  else
    DnD:Init(self.DNDID, wtReacting, self.widget, fUseCfg, fLockedToScreenArea, Padding)
  end
end
View.Settings.show = function(self, visible)
  if(self.isVisible~=visible) then
    self.isVisible=visible
    if not true then -- is DragAndDrop disabled?
      if not visible then
        DnD:Unreg(self)
      else
        DnD:Reg(self)
      end
    end
    if not visible then
      local onClose = self.onClose
      if onClose then
        onClose({ sender = self })
      end
    end
  end
  self.widget:Show(visible)
end
View.Settings.showCloseButton = function(self, visible)
  self.closeButtonWidget:Show(visible)
  self.goldenCornerWidget:Show(visible)
end
View.Settings.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.titleWidget = View.Settings.widget:GetChildChecked("Header", false)
View.Settings.textWidget = View.Settings.titleWidget:GetChildChecked("Headertext", false)
View.Settings.backgroundWidget = View.Settings.widget:GetChildChecked("Background", false)
View.Settings.closeButtonWidget = View.Settings.widget:GetChildChecked("Close", false)
View.Settings.goldenCornerWidget = View.Settings.widget:GetChildChecked("GoldenCorner", false)
View.Settings.contentWidget = View.Settings.widget:GetChildChecked("Content", false)
View.Settings.text = ""
View.Settings.setTitleText = function(self, text)
  self.text=text
  self.textWidget:SetVal("label", text)
end
View.Settings.getTitleText = function(self)
  return self.text
end
View.Settings.getBackgroundFade = function(self)
  return self.backgroundWidget:GetFade()
end
View.Settings.setBackgroundFade = function(self, fade)
  return self.backgroundWidget:SetFade(fade)
end
View.Settings.getContentFade = function(self)
  return self.contentWidget:GetFade()
end
View.Settings.setContentFade = function(self, fade)
  return self.contentWidget:SetFade(fade)
end

View.Settings.DockPanel = { }
View.Settings.DockPanel.widget = View.Settings.widget:GetChildChecked("Content", false):GetChildChecked("DockPanel", false)

View.Settings.DockPanel.BottomButtons = { }
View.Settings.DockPanel.BottomButtons.widget = View.Settings.DockPanel.widget:GetChildChecked("BottomButtons", false)

View.Settings.DockPanel.BottomButtons.Close = { }
View.Settings.DockPanel.BottomButtons.Close.widget = View.Settings.DockPanel.BottomButtons.widget:GetChildChecked("Close", false)
View.Settings.DockPanel.BottomButtons.Close.Values = { }
View.Settings.DockPanel.BottomButtons.Close.reactionName = "close"
View.Settings.DockPanel.BottomButtons.Close.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.BottomButtons.Close.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.BottomButtons.Close.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.BottomButtons.Close.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.BottomButtons.Close.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.BottomButtons.Close.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.BottomButtons.Close.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.BottomButtons.Close.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.BottomButtons.Close.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.BottomButtons.Close.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.BottomButtons.Close:setMargin(0, 0, 0, 0)
View.Settings.DockPanel.BottomButtons.Close:setSize(200, 25)
View.Settings.DockPanel.BottomButtons.Close:setAlignment(WIDGET_ALIGN_HIGH, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.BottomButtons.Save = { }
View.Settings.DockPanel.BottomButtons.Save.widget = View.Settings.DockPanel.BottomButtons.widget:GetChildChecked("Save", false)
View.Settings.DockPanel.BottomButtons.Save.Values = { }
View.Settings.DockPanel.BottomButtons.Save.reactionName = "save"
View.Settings.DockPanel.BottomButtons.Save.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.BottomButtons.Save.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.BottomButtons.Save.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.BottomButtons.Save.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.BottomButtons.Save.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.BottomButtons.Save.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.BottomButtons.Save.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.BottomButtons.Save.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.BottomButtons.Save.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.BottomButtons.Save.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.BottomButtons.Save:setMargin(0, 0, 200, 0)
View.Settings.DockPanel.BottomButtons.Save:setSize(200, 25)
View.Settings.DockPanel.BottomButtons.Save:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageNavigation = { }
View.Settings.DockPanel.PageNavigation.widget = View.Settings.DockPanel.widget:GetChildChecked("PageNavigation", false)

View.Settings.DockPanel.PageNavigation.PrevPage = { }
View.Settings.DockPanel.PageNavigation.PrevPage.widget = View.Settings.DockPanel.PageNavigation.widget:GetChildChecked("PrevPage", false)
View.Settings.DockPanel.PageNavigation.PrevPage.Values = { }
View.Settings.DockPanel.PageNavigation.PrevPage.reactionName = "prev_page"
View.Settings.DockPanel.PageNavigation.PrevPage.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.PrevPage.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageNavigation.PrevPage.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.PrevPage.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageNavigation.PrevPage.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.PrevPage.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageNavigation.PrevPage.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.PrevPage.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageNavigation.PrevPage.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageNavigation.PrevPage.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageNavigation.PrevPage:setMargin(0, 0, 0, 0)
View.Settings.DockPanel.PageNavigation.PrevPage:setSize(75, 25)
View.Settings.DockPanel.PageNavigation.PrevPage:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageNavigation.NextPage = { }
View.Settings.DockPanel.PageNavigation.NextPage.widget = View.Settings.DockPanel.PageNavigation.widget:GetChildChecked("NextPage", false)
View.Settings.DockPanel.PageNavigation.NextPage.Values = { }
View.Settings.DockPanel.PageNavigation.NextPage.reactionName = "next_page"
View.Settings.DockPanel.PageNavigation.NextPage.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.NextPage.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageNavigation.NextPage.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.NextPage.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageNavigation.NextPage.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.NextPage.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageNavigation.NextPage.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.NextPage.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageNavigation.NextPage.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageNavigation.NextPage.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageNavigation.NextPage:setMargin(75, 0, 0, 0)
View.Settings.DockPanel.PageNavigation.NextPage:setSize(75, 25)
View.Settings.DockPanel.PageNavigation.NextPage:setAlignment(WIDGET_ALIGN_HIGH, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageNavigation.Titel = { }
View.Settings.DockPanel.PageNavigation.Titel.widget = View.Settings.DockPanel.PageNavigation.widget:GetChildChecked("Titel", false)
View.Settings.DockPanel.PageNavigation.Titel.Values = { }
View.Settings.DockPanel.PageNavigation.Titel.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.Titel.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageNavigation.Titel.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.Titel.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageNavigation.Titel.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.Titel.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageNavigation.Titel.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageNavigation.Titel.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageNavigation.Titel.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageNavigation.Titel.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageNavigation.Titel.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageNavigation.Titel:setMargin(75, 0, 75, 0)
View.Settings.DockPanel.PageNavigation.Titel:setSize(311, 25)
View.Settings.DockPanel.PageNavigation.Titel:setAlignment(WIDGET_ALIGN_BOTH, WIDGET_ALIGN_BOTH)
View.Settings.DockPanel.PageContainer = { }
View.Settings.DockPanel.PageContainer.widget = View.Settings.DockPanel.widget:GetChildChecked("PageContainer", false)
View.Settings.DockPanel.PageContainer.Values = { currentPage = 0, PageCount = 4}
View.Settings.DockPanel.PageContainer.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.getCurrentPage = function(self)
  return self.Values.currentPage
end
View.Settings.DockPanel.PageContainer.canSetCurrentPage = function(self, page)
  return self.Values.currentPage ~= page and page >= 0 and page < self.Values.PageCount
end
View.Settings.DockPanel.PageContainer.setCurrentPage = function(self, page)
  if self:canSetCurrentPage(page) then
    self.Values.currentPage = page
    self:updateLayout()
    return true
  end
  return false
end
View.Settings.DockPanel.PageContainer.getPageCount = function(self)
  return self.Values.PageCount
end
View.Settings.DockPanel.PageContainer.updateLayout = function(self)
  local child, rect, fromPlacementPlain, toPlacementPlain = nil, nil, nil, nil
  rect = self.widget:GetRealRect()
  rect.width = rect.x2 - rect.x1
  rect.height = rect.y2 - rect.y1
  child = self.ConditionGrid.widget
  fromPlacementPlain = child:GetPlacementPlain()
  toPlacementPlain = CopyTable(fromPlacementPlain)
  toPlacementPlain.posX = - 461 * (self.Values.currentPage - 0)
  toPlacementPlain.posY = 0
  toPlacementPlain.sizeX = rect.width
  toPlacementPlain.sizeY = rect.width
  child:PlayMoveEffect(fromPlacementPlain, toPlacementPlain, 200, EA_MONOTONOUS_INCREASE)
  child = self.extendedConditions.widget
  fromPlacementPlain = child:GetPlacementPlain()
  toPlacementPlain = CopyTable(fromPlacementPlain)
  toPlacementPlain.posX = - 461 * (self.Values.currentPage - 1)
  toPlacementPlain.posY = 0
  toPlacementPlain.sizeX = rect.width
  toPlacementPlain.sizeY = rect.width
  child:PlayMoveEffect(fromPlacementPlain, toPlacementPlain, 200, EA_MONOTONOUS_INCREASE)
  child = self.PositionGrid.widget
  fromPlacementPlain = child:GetPlacementPlain()
  toPlacementPlain = CopyTable(fromPlacementPlain)
  toPlacementPlain.posX = - 461 * (self.Values.currentPage - 2)
  toPlacementPlain.posY = 0
  toPlacementPlain.sizeX = rect.width
  toPlacementPlain.sizeY = rect.width
  child:PlayMoveEffect(fromPlacementPlain, toPlacementPlain, 200, EA_MONOTONOUS_INCREASE)
  child = self.ImportExportGrid.widget
  fromPlacementPlain = child:GetPlacementPlain()
  toPlacementPlain = CopyTable(fromPlacementPlain)
  toPlacementPlain.posX = - 461 * (self.Values.currentPage - 3)
  toPlacementPlain.posY = 0
  toPlacementPlain.sizeX = rect.width
  toPlacementPlain.sizeY = rect.width
  child:PlayMoveEffect(fromPlacementPlain, toPlacementPlain, 200, EA_MONOTONOUS_INCREASE)
end
View.Settings.DockPanel.PageContainer.ConditionGrid = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.widget = View.Settings.DockPanel.PageContainer.widget:GetChildChecked("ConditionGrid", false)

View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("itemNameLabel_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text:setMargin(4, 4, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text:setSize(160, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemNameLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("itemName", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.reactionChanged = ""
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.reactionEnter = ""
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.reactionESC = "itemNameESC"
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "itemNameESC")
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName:setMargin(170, 0, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName:setSize(140, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemName:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.hide = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("hide", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.Name = "hide"
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide:setChecked(false)
onReaction["hide_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.ConditionGrid.hide.onClick(params)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("hide_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text:setMargin(4, 35, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text:setSize(160, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.hide_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.show = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.show.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("show", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.show.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.show.Name = "show"
View.Settings.DockPanel.PageContainer.ConditionGrid.show.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show:setChecked(false)
onReaction["show_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.ConditionGrid.show.onClick(params)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("show_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text:setMargin(174, 35, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text:setSize(140, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.show_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("while_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text:setMargin(314, 35, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text:setSize(125, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.while_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.buff = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("buff", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.Name = "buff"
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff:setChecked(false)
onReaction["buff_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.ConditionGrid.buff.onClick(params)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("buff_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text:setMargin(4, 70, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text:setSize(160, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.buff_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("debuff", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.Name = "debuff"
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff:setChecked(false)
onReaction["debuff_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.ConditionGrid.debuff.onClick(params)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("debuff_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text:setMargin(174, 70, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text:setSize(140, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.debuff_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("spellCD", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.Name = "spellCD"
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD:setChecked(false)
onReaction["spellCD_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD.onClick(params)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("spellCD_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text:setMargin(4, 101, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text:setSize(160, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.spellCD_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("itemCD", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.Name = "itemCD"
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD:setChecked(false)
onReaction["itemCD_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD.onClick(params)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("itemCD_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text:setMargin(174, 101, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text:setSize(140, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.itemCD_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("withExactName_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text:setMargin(4, 132, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text:setSize(160, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.withExactName_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.name = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.name.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("name", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.name.reactionChanged = "nameChanged"
View.Settings.DockPanel.PageContainer.ConditionGrid.name.reactionEnter = "removeFocus"
View.Settings.DockPanel.PageContainer.ConditionGrid.name.reactionESC = "nameESC"
View.Settings.DockPanel.PageContainer.ConditionGrid.name.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.name.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "nameESC")
View.Settings.DockPanel.PageContainer.ConditionGrid.name:setMargin(170, 128, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.name:setSize(140, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.name:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("nameSearch", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.reactionName = "nameSearchClicked"
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch:setMargin(310, 128, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch:setSize(25, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.nameSearch:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("on_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text:setMargin(339, 132, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text:setSize(100, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.on_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.target = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.target.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("target", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.target.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.target.Name = "target"
View.Settings.DockPanel.PageContainer.ConditionGrid.target.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target:setChecked(false)
onReaction["target_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.ConditionGrid.target.onClick(params)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("target_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text:setMargin(4, 163, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text:setSize(160, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.target_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.you = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.you.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("you", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.you.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.you.Name = "you"
View.Settings.DockPanel.PageContainer.ConditionGrid.you.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you:setChecked(false)
onReaction["you_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.ConditionGrid.you.onClick(params)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("you_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text:setMargin(174, 163, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text:setSize(140, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.you_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("targetOfTarget", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.Name = "targetOfTarget"
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget:setChecked(false)
onReaction["targetOfTarget_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget.onClick(params)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("targetOfTarget_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text:setMargin(4, 194, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text:setSize(160, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.targetOfTarget_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.pet = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("pet", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.Name = "pet"
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet:setChecked(false)
onReaction["pet_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.ConditionGrid.pet.onClick(params)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("pet_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text:setMargin(174, 194, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text:setSize(140, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.pet_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("anyUnit", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.Name = "anyUnit"
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit:setChecked(false)
onReaction["anyUnit_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit.onClick(params)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.widget = View.Settings.DockPanel.PageContainer.ConditionGrid.widget:GetChildChecked("anyUnit_text", false)
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.Values = { }
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text:setMargin(4, 225, 0, 0)
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text:setSize(160, 30)
View.Settings.DockPanel.PageContainer.ConditionGrid.anyUnit_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions = { }
View.Settings.DockPanel.PageContainer.extendedConditions.widget = View.Settings.DockPanel.PageContainer.widget:GetChildChecked("extendedConditions", false)

View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("moreconditions_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text:setMargin(4, 4, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text:setSize(440, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.moreconditions_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber = { }
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("ifGroupMemberNumber", false)
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.Name = "ifGroupMemberNumber"
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber:setChecked(false)
onReaction["ifGroupMemberNumber_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("ifGroupMemberNumber_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text:setMargin(29, 30, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text:setSize(335, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.ifGroupMemberNumber_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber = { }
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("groupMemberNumber", false)
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.reactionChanged = "groupMemberNumberChanged"
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.reactionEnter = ""
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.reactionESC = "groupMemberNumberESC"
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "groupMemberNumberESC")
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber:setMargin(340, 26, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber:setSize(80, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.groupMemberNumber:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe = { }
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("castedByMe", false)
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.Name = "castedByMe"
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe:setChecked(false)
onReaction["castedByMe_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("castedByMe_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text:setMargin(29, 56, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text:setSize(335, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.castedByMe_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight = { }
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("notInFight", false)
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.Name = "notInFight"
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight:setChecked(false)
onReaction["notInFight_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.notInFight.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("notInFight_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text:setMargin(29, 82, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text:setSize(250, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.notInFight_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.inFight = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("inFight", false)
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.Name = "inFight"
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight:setChecked(false)
onReaction["inFight_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.inFight.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("inFight_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text:setMargin(279, 82, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text:setSize(190, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.inFight_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.solo = { }
View.Settings.DockPanel.PageContainer.extendedConditions.solo.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("solo", false)
View.Settings.DockPanel.PageContainer.extendedConditions.solo.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.solo.Name = "solo"
View.Settings.DockPanel.PageContainer.extendedConditions.solo.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo:setChecked(false)
onReaction["solo_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.solo.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("solo_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text:setMargin(29, 108, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text:setSize(250, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.solo_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("inGroup", false)
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.Name = "inGroup"
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup:setChecked(false)
onReaction["inGroup_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.inGroup.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("inGroup_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text:setMargin(279, 108, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text:setSize(190, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.inGroup_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("inRaid", false)
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.Name = "inRaid"
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid:setChecked(false)
onReaction["inRaid_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.inRaid.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("inRaid_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text:setMargin(29, 134, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text:setSize(250, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.inRaid_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted = { }
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("notMounted", false)
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.Name = "notMounted"
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted:setChecked(false)
onReaction["notMounted_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.notMounted.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("notMounted_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text:setMargin(29, 160, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text:setSize(250, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.notMounted_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.mounted = { }
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("mounted", false)
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.Name = "mounted"
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted:setChecked(false)
onReaction["mounted_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.mounted.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("mounted_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text:setMargin(279, 160, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text:setSize(190, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.mounted_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.hostile = { }
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("hostile", false)
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.Name = "hostile"
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile:setChecked(false)
onReaction["hostile_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.hostile.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("hostile_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text:setMargin(29, 186, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text:setSize(250, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.hostile_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.friendly = { }
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("friendly", false)
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.Name = "friendly"
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly:setChecked(false)
onReaction["friendly_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.friendly.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("friendly_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text:setMargin(279, 186, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text:setSize(190, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.friendly_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible = { }
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("ifOtherVisible", false)
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.Name = "ifOtherVisible"
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible:setChecked(false)
onReaction["ifOtherVisible_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("ifOtherVisible_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text:setMargin(29, 212, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text:setSize(250, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.ifOtherVisible_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule = { }
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("otherrule", false)
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.reactionChanged = "otherruleChanged"
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.reactionEnter = ""
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.reactionESC = "otherruleESC"
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "otherruleESC")
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule:setMargin(255, 208, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule:setSize(165, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.otherrule:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("stacksize_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text:setMargin(4, 238, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text:setSize(440, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.stacksize_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("stackmin", false)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.Name = "stackmin"
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin:setChecked(false)
onReaction["stackmin_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.stackmin.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("stackmin_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text:setMargin(49, 264, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text:setSize(250, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmin_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("stackminedit", false)
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.reactionChanged = "stackmineditChanged"
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.reactionEnter = ""
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.reactionESC = "stackmineditESC"
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "stackmineditESC")
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit:setMargin(170, 260, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit:setSize(85, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.stackminedit:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("stackmax", false)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.Name = "stackmax"
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax:setChecked(false)
onReaction["stackmax_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.stackmax.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("stackmax_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text:setMargin(49, 290, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text:setSize(250, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmax_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit = { }
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("stackmaxedit", false)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.reactionChanged = "stackmaxeditChanged"
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.reactionEnter = ""
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.reactionESC = "stackmaxeditESC"
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "stackmaxeditESC")
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit:setMargin(170, 286, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit:setSize(85, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.stackmaxedit:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timer_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text:setMargin(4, 316, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text:setSize(85, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.timer_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timerelapsed", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.Name = "timerelapsed"
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed:setChecked(false)
onReaction["timerelapsed_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timerelapsed_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text:setMargin(114, 316, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text:setSize(170, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.timerelapsed_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timerremaining", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.Name = "timerremaining"
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining:setChecked(false)
onReaction["timerremaining_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timerremaining_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text:setMargin(284, 316, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text:setSize(185, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.timerremaining_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.timermin = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timermin", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.Name = "timermin"
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin:setChecked(false)
onReaction["timermin_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.timermin.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timermin_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text:setMargin(49, 342, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text:setSize(250, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.timermin_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timerminedit", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.reactionChanged = "timermineditChanged"
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.reactionEnter = ""
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.reactionESC = "timermineditESC"
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "timermineditESC")
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit:setMargin(170, 338, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit:setSize(85, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.timerminedit:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timerminms_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text:setMargin(259, 342, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text:setSize(85, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.timerminms_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.timermax = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timermax", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.Name = "timermax"
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax:setChecked(false)
onReaction["timermax_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.extendedConditions.timermax.onClick(params)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timermax_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text:setMargin(49, 368, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text:setSize(250, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.timermax_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timermaxedit", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.reactionChanged = "timermaxeditChanged"
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.reactionEnter = ""
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.reactionESC = "timermaxeditESC"
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "timermaxeditESC")
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit:setMargin(170, 364, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit:setSize(85, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxedit:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.widget = View.Settings.DockPanel.PageContainer.extendedConditions.widget:GetChildChecked("timermaxms_text", false)
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.Values = { }
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text:setMargin(259, 368, 0, 0)
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text:setSize(85, 25)
View.Settings.DockPanel.PageContainer.extendedConditions.timermaxms_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid = { }
View.Settings.DockPanel.PageContainer.PositionGrid.widget = View.Settings.DockPanel.PageContainer.widget:GetChildChecked("PositionGrid", false)

View.Settings.DockPanel.PageContainer.PositionGrid.PictureView = { }
View.Settings.DockPanel.PageContainer.PositionGrid.PictureView.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("PictureView", false)
View.Settings.DockPanel.PageContainer.PositionGrid.PictureView.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.PictureView.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.PictureView.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.PictureView.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.PictureView.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.PictureView.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.PictureView.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.PictureView.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.PictureView.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.Prev = { }
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("Prev", false)
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.reactionName = "prev_image"
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.Prev.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.Prev:setMargin(0, 200, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.Prev:setSize(100, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.Prev:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.Next = { }
View.Settings.DockPanel.PageContainer.PositionGrid.Next.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("Next", false)
View.Settings.DockPanel.PageContainer.PositionGrid.Next.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.Next.reactionName = "next_image"
View.Settings.DockPanel.PageContainer.PositionGrid.Next.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.Next.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.Next.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.Next.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.Next.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.Next.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.Next.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.Next.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.Next.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.Next.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.Next:setMargin(100, 200, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.Next:setSize(100, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.Next:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("useBuffImageLabel_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text:setMargin(4, 233, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text:setSize(125, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffImageLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox = { }
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("useBuffCheckBox", false)
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.Name = "useBuffCheckBox"
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox:setChecked(false)
onReaction["useBuffCheckBox_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.PositionGrid.useBuffCheckBox.onClick(params)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("showTimerLabel_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text:setMargin(4, 259, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text:setSize(125, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("showTimerCheckBox", false)
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.Name = "showTimerCheckBox"
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox:setChecked(false)
onReaction["showTimerCheckBox_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.PositionGrid.showTimerCheckBox.onClick(params)
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat = { }
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("timerFormat", false)
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.reactionChanged = "timerFormatChanged"
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.reactionEnter = ""
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.reactionESC = "timerFormatESC"
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "timerFormatESC")
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat:setMargin(25, 281, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat:setSize(190, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.timerFormat:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("showBarLabel_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text:setMargin(4, 311, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text:setSize(125, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.showBarLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("showBarCheckBox", false)
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.Name = "showBarCheckBox"
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox:setChecked(false)
onReaction["showBarCheckBox_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.PositionGrid.showBarCheckBox.onClick(params)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("showImageLabel_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text:setMargin(4, 337, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text:setSize(125, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.showImageLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("showImageCheckBox", false)
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.Name = "showImageCheckBox"
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.getChecked = function(self)
  return self.widget:GetVariant() == 1
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.setChecked = function(self, checked)
  local currentVariant = self.widget:GetVariant()
  if checked then
    if currentVariant == 0 then
      self.widget:SetVariant(1)
    end
  else
    if currentVariant == 1 then
      self.widget:SetVariant(0)
    end
  end
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.onClick = function(params)
  local currentVariant = params.widget:GetVariant()
  if currentVariant == 0 then
    params.widget:SetVariant(1)
  else
    params.widget:SetVariant(0)
  end
end
View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox:setChecked(false)
onReaction["showImageCheckBox_clicked"] = function(params)
  View.Settings.DockPanel.PageContainer.PositionGrid.showImageCheckBox.onClick(params)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("positionLabel_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text:setMargin(4, 363, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text:setSize(100, 20)
View.Settings.DockPanel.PageContainer.PositionGrid.positionLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("positionXLabel_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text:setMargin(29, 384, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text:setSize(75, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.positionXLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.positionX = { }
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("positionX", false)
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.reactionChanged = "positionSizeChanged"
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.reactionEnter = ""
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.reactionESC = "positionXESC"
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionX.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "positionXESC")
View.Settings.DockPanel.PageContainer.PositionGrid.positionX:setMargin(125, 380, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.positionX:setSize(90, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.positionX:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("positionYLabel_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text:setMargin(29, 410, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text:setSize(75, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.positionYLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.positionY = { }
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("positionY", false)
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.reactionChanged = "positionSizeChanged"
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.reactionEnter = ""
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.reactionESC = "positionYESC"
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.PositionGrid.positionY.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "positionYESC")
View.Settings.DockPanel.PageContainer.PositionGrid.positionY:setMargin(125, 406, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.positionY:setSize(90, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.positionY:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("sizeLabel_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text:setMargin(4, 445, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text:setSize(100, 20)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("sizeXLabel_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text:setMargin(29, 466, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text:setSize(75, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeXLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX = { }
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("sizeX", false)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.reactionChanged = "positionSizeChanged"
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.reactionEnter = ""
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.reactionESC = "sizeXESC"
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "sizeXESC")
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX:setMargin(125, 462, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX:setSize(90, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeX:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("sizeYLabel_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text:setMargin(29, 492, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text:setSize(75, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeYLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY = { }
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("sizeY", false)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.reactionChanged = "positionSizeChanged"
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.reactionEnter = ""
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.reactionESC = "sizeYESC"
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "sizeYESC")
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY:setMargin(125, 488, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY:setSize(90, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.sizeY:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("opacityLabel_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text:setMargin(4, 527, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text:setSize(125, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.opacityLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text = { }
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("opacity_text", false)
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text:setMargin(129, 527, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text:setSize(90, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.opacity_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease = { }
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("OpacityDecrease", false)
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.reactionName = "decreaseOpacity"
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease:setMargin(165, 523, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease:setSize(25, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityDecrease:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease = { }
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.widget = View.Settings.DockPanel.PageContainer.PositionGrid.widget:GetChildChecked("OpacityIncrease", false)
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.Values = { }
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.reactionName = "increaseOpacity"
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease:setMargin(190, 523, 0, 0)
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease:setSize(25, 25)
View.Settings.DockPanel.PageContainer.PositionGrid.OpacityIncrease:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ImportExportGrid = { }
View.Settings.DockPanel.PageContainer.ImportExportGrid.widget = View.Settings.DockPanel.PageContainer.widget:GetChildChecked("ImportExportGrid", false)

View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text = { }
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.widget = View.Settings.DockPanel.PageContainer.ImportExportGrid.widget:GetChildChecked("explanationLabel_text", false)
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text:setMargin(4, 4, 0, 0)
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text:setSize(440, 50)
View.Settings.DockPanel.PageContainer.ImportExportGrid.explanationLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text = { }
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.widget = View.Settings.DockPanel.PageContainer.ImportExportGrid.widget:GetChildChecked("codeLabel_text", false)
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.Values = { }
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text:setMargin(4, 54, 0, 0)
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text:setSize(440, 25)
View.Settings.DockPanel.PageContainer.ImportExportGrid.codeLabel_text:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ImportExportGrid.code = { }
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.widget = View.Settings.DockPanel.PageContainer.ImportExportGrid.widget:GetChildChecked("code", false)
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.reactionChanged = "codeChanged"
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.reactionEnter = "removeFocus"
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.reactionESC = "codeESC"
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.getTextLength = function(self)
  return self.widget:GetPosObjectCount()
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.getCursorPos = function(self)
  return self.widget:GetCursorPos()
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.setCursorPos = function(self, index)
  self.widget:SetCursorPos(index)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.setCursorPosToBegin = function(self)
  self.widget:SetCursorPos(0)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.setCursorPosToEnd = function(self)
  self.widget:SetCursorPos(self:getTextLength())
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.getText = function(self)
  return self.widget:GetText()
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.setText = function(self, text)
  self.widget:SetText(text)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.setFocus = function(self, focus)
  self.widget:SetFocus(focus)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.code.getFocus = function(self)
  return self.widget:IsFocused()
end
common.RegisterReactionHandler(function(params)
  params.widget:SetFocus(false)
end, "codeESC")
View.Settings.DockPanel.PageContainer.ImportExportGrid.code:setMargin(0, 75, 0, 0)
View.Settings.DockPanel.PageContainer.ImportExportGrid.code:setSize(440, 300)
View.Settings.DockPanel.PageContainer.ImportExportGrid.code:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton = { }
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.widget = View.Settings.DockPanel.PageContainer.ImportExportGrid.widget:GetChildChecked("importButton", false)
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.Values = { }
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.reactionName = "importButtonClicked"
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton:setMargin(0, 375, 0, 0)
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton:setSize(220, 25)
View.Settings.DockPanel.PageContainer.ImportExportGrid.importButton:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton = { }
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.widget = View.Settings.DockPanel.PageContainer.ImportExportGrid.widget:GetChildChecked("exportButton", false)
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.Values = { }
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.reactionName = "exportButtonClicked"
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton.getVal = function(self, tag)
  return self.Values[tag]
end
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton:setMargin(220, 375, 0, 0)
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton:setSize(220, 25)
View.Settings.DockPanel.PageContainer.ImportExportGrid.exportButton:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Settings.DockPanel.PageContainer:updateLayout()
View.AurasWindow = { }
View.AurasWindow.widget = View.widget:GetChildChecked("AurasWindow", false)
View.AurasWindow.DNDID = 92
View.AurasWindow.isVisible = true
View.AurasWindow.initDnD = function(self, wtReacting, fUseCfg, fLockedToScreenArea, Padding )
  if not wtReacting then
    wtReacting = self.widget
  end
  if not true then -- is DragAndDrop disabled?
    LogWarning("On the Window AurasWindow was called the initDnD-Function, but DnD is disabled.")
  else
    DnD:Init(self.DNDID, wtReacting, self.widget, fUseCfg, fLockedToScreenArea, Padding)
  end
end
View.AurasWindow.show = function(self, visible)
  if(self.isVisible~=visible) then
    self.isVisible=visible
    if not true then -- is DragAndDrop disabled?
      if not visible then
        DnD:Unreg(self)
      else
        DnD:Reg(self)
      end
    end
    if not visible then
      local onClose = self.onClose
      if onClose then
        onClose({ sender = self })
      end
    end
  end
  self.widget:Show(visible)
end
View.AurasWindow.showCloseButton = function(self, visible)
  self.closeButtonWidget:Show(visible)
  self.goldenCornerWidget:Show(visible)
end
View.AurasWindow.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.AurasWindow.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.AurasWindow.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.AurasWindow.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.AurasWindow.titleWidget = View.AurasWindow.widget:GetChildChecked("Header", false)
View.AurasWindow.textWidget = View.AurasWindow.titleWidget:GetChildChecked("Headertext", false)
View.AurasWindow.backgroundWidget = View.AurasWindow.widget:GetChildChecked("Background", false)
View.AurasWindow.closeButtonWidget = View.AurasWindow.widget:GetChildChecked("Close", false)
View.AurasWindow.goldenCornerWidget = View.AurasWindow.widget:GetChildChecked("GoldenCorner", false)
View.AurasWindow.contentWidget = View.AurasWindow.widget:GetChildChecked("Content", false)
View.AurasWindow.text = ""
View.AurasWindow.setTitleText = function(self, text)
  self.text=text
  self.textWidget:SetVal("label", text)
end
View.AurasWindow.getTitleText = function(self)
  return self.text
end
View.AurasWindow.getBackgroundFade = function(self)
  return self.backgroundWidget:GetFade()
end
View.AurasWindow.setBackgroundFade = function(self, fade)
  return self.backgroundWidget:SetFade(fade)
end
View.AurasWindow.getContentFade = function(self)
  return self.contentWidget:GetFade()
end
View.AurasWindow.setContentFade = function(self, fade)
  return self.contentWidget:SetFade(fade)
end

View.AurasWindow.AuraLine = { }
View.AurasWindow.AuraLine.widget = View.AurasWindow.widget:GetChildChecked("Content", false):GetChildChecked("AuraLine", false)

View.AurasWindow.AuraLine.PictureView = { }
View.AurasWindow.AuraLine.PictureView.widget = View.AurasWindow.AuraLine.widget:GetChildChecked("PictureView", false)
View.AurasWindow.AuraLine.PictureView.Values = { }
View.AurasWindow.AuraLine.PictureView.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.PictureView.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.AurasWindow.AuraLine.PictureView.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.PictureView.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.AurasWindow.AuraLine.PictureView.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.PictureView.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.AurasWindow.AuraLine.PictureView.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.PictureView.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.AurasWindow.AuraLine.Delete = { }
View.AurasWindow.AuraLine.Delete.widget = View.AurasWindow.AuraLine.widget:GetChildChecked("Delete", false)
View.AurasWindow.AuraLine.Delete.Values = { }
View.AurasWindow.AuraLine.Delete.reactionName = "delete"
View.AurasWindow.AuraLine.Delete.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.Delete.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.AurasWindow.AuraLine.Delete.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.Delete.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.AurasWindow.AuraLine.Delete.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.Delete.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.AurasWindow.AuraLine.Delete.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.Delete.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.AurasWindow.AuraLine.Delete.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.AurasWindow.AuraLine.Delete.getVal = function(self, tag)
  return self.Values[tag]
end
View.AurasWindow.AuraLine.Delete:setMargin(35, 0, 0, 0)
View.AurasWindow.AuraLine.Delete:setSize(75, 35)
View.AurasWindow.AuraLine.Delete:setAlignment(WIDGET_ALIGN_HIGH, WIDGET_ALIGN_LOW)
View.AurasWindow.AuraLine.Edit = { }
View.AurasWindow.AuraLine.Edit.widget = View.AurasWindow.AuraLine.widget:GetChildChecked("Edit", false)
View.AurasWindow.AuraLine.Edit.Values = { }
View.AurasWindow.AuraLine.Edit.reactionName = "edit"
View.AurasWindow.AuraLine.Edit.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.Edit.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.AurasWindow.AuraLine.Edit.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.Edit.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.AurasWindow.AuraLine.Edit.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.Edit.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.AurasWindow.AuraLine.Edit.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.Edit.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.AurasWindow.AuraLine.Edit.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.AurasWindow.AuraLine.Edit.getVal = function(self, tag)
  return self.Values[tag]
end
View.AurasWindow.AuraLine.Edit:setMargin(35, 0, 75, 0)
View.AurasWindow.AuraLine.Edit:setSize(75, 35)
View.AurasWindow.AuraLine.Edit:setAlignment(WIDGET_ALIGN_HIGH, WIDGET_ALIGN_LOW)
View.AurasWindow.AuraLine.NameView = { }
View.AurasWindow.AuraLine.NameView.widget = View.AurasWindow.AuraLine.widget:GetChildChecked("NameView", false)
View.AurasWindow.AuraLine.NameView.Values = { }
View.AurasWindow.AuraLine.NameView.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.NameView.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.AurasWindow.AuraLine.NameView.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.NameView.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.AurasWindow.AuraLine.NameView.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.NameView.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.AurasWindow.AuraLine.NameView.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.AuraLine.NameView.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.AurasWindow.AuraLine.NameView.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.AurasWindow.AuraLine.NameView.getVal = function(self, tag)
  return self.Values[tag]
end
View.AurasWindow.AuraLine.NameView.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.AurasWindow.AuraLine.NameView:setMargin(35, 0, 150, 0)
View.AurasWindow.AuraLine.NameView:setSize(476, 35)
View.AurasWindow.AuraLine.NameView:setAlignment(WIDGET_ALIGN_BOTH, WIDGET_ALIGN_BOTH)
View.AurasWindow.DockPanel = { }
View.AurasWindow.DockPanel.widget = View.AurasWindow.widget:GetChildChecked("Content", false):GetChildChecked("DockPanel", false)

View.AurasWindow.DockPanel.ButtomButtons = { }
View.AurasWindow.DockPanel.ButtomButtons.widget = View.AurasWindow.DockPanel.widget:GetChildChecked("ButtomButtons", false)

View.AurasWindow.DockPanel.ButtomButtons.Add = { }
View.AurasWindow.DockPanel.ButtomButtons.Add.widget = View.AurasWindow.DockPanel.ButtomButtons.widget:GetChildChecked("Add", false)
View.AurasWindow.DockPanel.ButtomButtons.Add.Values = { }
View.AurasWindow.DockPanel.ButtomButtons.Add.reactionName = "add"
View.AurasWindow.DockPanel.ButtomButtons.Add.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.DockPanel.ButtomButtons.Add.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.AurasWindow.DockPanel.ButtomButtons.Add.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.DockPanel.ButtomButtons.Add.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.AurasWindow.DockPanel.ButtomButtons.Add.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.DockPanel.ButtomButtons.Add.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.AurasWindow.DockPanel.ButtomButtons.Add.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.AurasWindow.DockPanel.ButtomButtons.Add.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.AurasWindow.DockPanel.ButtomButtons.Add.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.AurasWindow.DockPanel.ButtomButtons.Add.getVal = function(self, tag)
  return self.Values[tag]
end
View.AurasWindow.DockPanel.ButtomButtons.Add:setMargin(0, 0, 0, 0)
View.AurasWindow.DockPanel.ButtomButtons.Add:setSize(200, 25)
View.AurasWindow.DockPanel.ButtomButtons.Add:setAlignment(WIDGET_ALIGN_HIGH, WIDGET_ALIGN_LOW)
View.AurasWindow.DockPanel.ScrollableContainer = { }
View.AurasWindow.DockPanel.ScrollableContainer.widget = View.AurasWindow.DockPanel.widget:GetChildChecked("ScrollableContainer", false)
for k, v in View.AurasWindow.DockPanel.ScrollableContainer do
  if v then
    if v.widget then
      View.AurasWindow.DockPanel.ScrollableContainer.widget:PushBack(v.widget)
    end
  end
end
